summaryrefslogtreecommitdiffstats
path: root/source/l/gc
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2013-11-04 17:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:57:36 +0200
commit76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (patch)
tree9b98e6e193c7870cb27ac861394c1c4592850922 /source/l/gc
parent9664bee729d487bcc0a0bc35859f8e13d5421c75 (diff)
downloadcurrent-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.gz
current-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.xz
Slackware 14.1slackware-14.1
Mon Nov 4 17:08:47 UTC 2013 Slackware 14.1 x86_64 stable is released! It's been another interesting release cycle here at Slackware bringing new features like support for UEFI machines, updated compilers and development tools, the switch from MySQL to MariaDB, and many more improvements throughout the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to '')
-rwxr-xr-xsource/l/gc/gc.SlackBuild (renamed from testing/source/libdrm/libdrm.SlackBuild)57
-rw-r--r--source/l/gc/gc.test-stack-infinite-loop.diff67
-rw-r--r--source/l/gc/slack-desc19
3 files changed, 118 insertions, 25 deletions
diff --git a/testing/source/libdrm/libdrm.SlackBuild b/source/l/gc/gc.SlackBuild
index 290282a50..70c9595af 100755
--- a/testing/source/libdrm/libdrm.SlackBuild
+++ b/source/l/gc/gc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,16 +20,18 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=libdrm
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+
+PKGNAM=gc
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
-# Automatically determine architecture for build & packaging:
+# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) export ARCH=$( uname -m ) ;;
esac
fi
@@ -37,7 +39,9 @@ NUMJOBS=${NUMJOBS:-" -j7 "}
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-${PKGNAM}
+PKG=$TMP/package-$PKGNAM
+rm -rf $PKG
+mkdir -p $PKG/usr
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -53,14 +57,10 @@ else
LIBDIRSUFFIX=""
fi
-rm -rf $PKG
-mkdir -p $TMP $PKG
cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
-cd ${PKGNAM}-$VERSION
-
-# Make sure ownerships and permissions are sane:
+rm -rf $PKGNAM-$VERSION $PKGNAM-$(echo $VERSION | cut -b 1-3)
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION 2> /dev/null || cd $PKGNAM-$(echo $VERSION | cut -b 1-3) || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -68,21 +68,28 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Configure:
+zcat $CWD/gc.test-stack-infinite-loop.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --enable-udev \
- --enable-vmwgfx-experimental-api \
- --enable-omap-experimental-api \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --disable-static \
+ --disable-dependency-tracking \
+ --disable-static \
+ --enable-cplusplus \
+ --enable-large-config \
+ --enable-parallel-mark \
+ --enable-threads=posix \
+ --with-libatomic-ops=no \
--build=$ARCH-slackware-linux
-# Build and install:
+# Does not like parallel make...
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -109,15 +116,15 @@ if [ -d $PKG/usr/info ]; then
)
fi
-# Add a documentation directory:
-mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- README \
- $PKG/usr/doc/${PKGNAM}-$VERSION
+ AUTHORS COPYING* FAQ GUILE-VERSION \
+ HACKING INSTALL LICENSE NEWS README* THANKS \
+ $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cd $TMP/package-${PKGNAM}
-/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/gc/gc.test-stack-infinite-loop.diff b/source/l/gc/gc.test-stack-infinite-loop.diff
new file mode 100644
index 000000000..49a6046e8
--- /dev/null
+++ b/source/l/gc/gc.test-stack-infinite-loop.diff
@@ -0,0 +1,67 @@
+diff --git a/libatomic_ops/tests/test_atomic.c b/libatomic_ops/tests/test_atomic.c
+index e354024..b8906e9 100644
+--- a/libatomic_ops/tests/test_atomic.c
++++ b/libatomic_ops/tests/test_atomic.c
+@@ -77,7 +77,10 @@ void * acqrel_thr(void *id)
+ {
+ AO_t my_counter1;
+ if (me != 1)
+- fprintf(stderr, "acqrel test: too many threads\n");
++ {
++ fprintf(stderr, "acqrel test: too many threads\n");
++ abort();
++ }
+ my_counter1 = AO_load(&counter1);
+ AO_store(&counter1, my_counter1 + 1);
+ AO_store_release_write(&counter2, my_counter1 + 1);
+diff --git a/libatomic_ops/tests/test_malloc.c b/libatomic_ops/tests/test_malloc.c
+index a1f4179..a19ffd5 100644
+--- a/libatomic_ops/tests/test_malloc.c
++++ b/libatomic_ops/tests/test_malloc.c
+@@ -151,6 +151,7 @@ void * run_one_test(void * arg) {
+ if (0 == p) {
+ # ifdef HAVE_MMAP
+ fprintf(stderr, "AO_malloc(%d) failed\n", LARGE_OBJ_SIZE);
++ abort();
+ # else
+ fprintf(stderr, "AO_malloc(%d) failed: This is normal without mmap\n",
+ LARGE_OBJ_SIZE);
+diff --git a/libatomic_ops/tests/test_stack.c b/libatomic_ops/tests/test_stack.c
+index bf3180d..e654c35 100644
+--- a/libatomic_ops/tests/test_stack.c
++++ b/libatomic_ops/tests/test_stack.c
+@@ -97,14 +97,23 @@ void check_list(int n)
+ p = (list_element *)AO_REAL_NEXT_PTR(p -> next))
+ {
+ if (p -> data > n || p -> data <= 0)
+- fprintf(stderr, "Found erroneous list element %d\n", p -> data);
++ {
++ fprintf(stderr, "Found erroneous list element %d\n", i);
++ abort();
++ }
+ if (marks[p -> data] != 0)
+- fprintf(stderr, "Found duplicate list element %d\n", p -> data);
++ {
++ fprintf(stderr, "Found duplicate list element %d\n", i);
++ abort();
++ }
+ marks[p -> data] = 1;
+ }
+ for (i = 1; i <= n; ++i)
+ if (marks[i] != 1)
+- fprintf(stderr, "Missing list element %d\n", i);
++ {
++ fprintf(stderr, "Missing list element %d\n", i);
++ abort();
++ }
+ }
+
+ volatile AO_t ops_performed = 0;
+@@ -218,6 +227,7 @@ int main(int argc, char **argv)
+ int code;
+ if ((code = pthread_join(thread[i], 0)) != 0) {
+ fprintf(stderr, "Thread join failed %u\n", code);
++ abort();
+ }
+ }
+ times[nthreads][exper_n] = (unsigned long)(get_msecs() - start_time);
diff --git a/source/l/gc/slack-desc b/source/l/gc/slack-desc
new file mode 100644
index 000000000..4e747f8fd
--- /dev/null
+++ b/source/l/gc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gc: gc (garbage collector library)
+gc:
+gc: The Boehm-Demers-Weiser conservative garbage collector can be used as
+gc: a garbage collecting replacement for C malloc or C++ new.
+gc:
+gc: Homepage: http://www.hpl.hp.com/personal/Hans_Boehm/gc/
+gc:
+gc:
+gc:
+gc:
+gc: